idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.Core.WHNF

Description

Synopsis

- whnf :: Context -> Env -> Term -> Term
- whnfArgs :: Context -> Env -> Term -> Term
- data WEnv

# Documentation

whnf :: Context -> Env -> Term -> Term #

Reduce a term to weak head normal form.

whnfArgs :: Context -> Env -> Term -> Term #

Reduce a type so that all arguments are expanded

data WEnv #

#### Instances

Instances details

Show WEnv # |
Instance details Defined in Idris.Core.WHNF Methods showsPrec :: Int -> WEnv -> ShowS # show :: WEnv -> String # showList :: [WEnv] -> ShowS #